SHADEMODEL(3CgFX)

NAME
ShadeModel - 3D API shade model

USAGE
ShadeModel = int(model)

VALID ENUMERANTS
model: Flat, Smooth

DESCRIPTION
Specify the shading model. See the OpenGL glShadeModel manual page for details. See the D3DRS_SHADEMODE render state description for DirectX 9.

The standard reset callback sets the ShadeModel state to int(Smooth).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ShadeMode